-------- ProKon History --------
------------ recent ------------

-- version 10.0z --
Added 2012 CPI Data for Australia.
Added 2012 CPI Data for the United States.
Corrected error in World Time module.
Corrected error in Graph dialog.
Corrected error in World Time module.
Added 2013 CPI Data for Australia.
Added 2013 CPI Data for the United States.

-- version 10.0y --
Corrected error in Permeability module.
Added 2011 CPI data for Australia.
Added 2011 CPI data for the United States.
Updated Exchange Rates Utility for several currencies.
Increased decimal places in Permeability module.
Updated Help.

-- version 10.0x --
Corrected error in Morse Code module for entry of single 'dah'.
Added units to Mass module.
Added units to Length module.
Added units to Capacity module.
Added 'nanograms per Pascal per second per square meter (ng/Pa·s·m²)' unit to Permeability module.
Added 2010 CPI data for Australia.
Added 2010 CPI data for the United States.
Added Antenna module to Miscellaneous I.
Updated GoTo menu function.
Updated Find menu function.

-- version 10.0w --
Added 2008 CPI data for Australia.
Added 2008 CPI data for the United States.
Added units to Electricity/Magnetism module.
Added units to Energy module.
Added units to Heat module.
Added saved constants to Function Parser module.
Corrected error in Investment module when manually entering dates.
Increased number of days for calculation in Investment module.
Corrected closing error for Profit/Loss module in Calculator.
Added procedure call to ensure local settings are in effect.
Corrected errors in Flow module.
Improved date selection in Moon Phase module.
Added 2009 CPI data for Australia.
Added 2009 CPI data for the United States.

-- version 10.0v --
Moved to InnoSetup for installation.
Corrected StayOnTop problem for Save/Open dialog of Grade Point module.
Corrected tooltip for Magnification button.
Corrected missing hint on Mixed Densities module.
Expanded data display on Thermal Expansion module to prevent truncated text.
Corrected error causing no value display for 'Time for complete air change' in Ventilation module.
Corrected display of descriptive text in Wire/Sheet Gauge module.
Modified default location for downloaded Exchange Rates data file.


-- version 10.0u --
Corrected error in Force module.
Added capabilities to Custom Conversion module.
Added ability to add conversion from module to Custom Conversions.
Corrected error in Roman Numeral module.
Changed data file directory locations to comply with Vista standards.
Changed configuration file directory locations to comply with vista standards.
Modified ProKon to use HTML help (the new help standard)
Created context-sensitive help on Main and two Miscellaneous screens.
Added file locations for configuration, registration, and data files to About screen.
Added default file saving locations description to help.
Changed to CoolTrayIcon component for minimizing to system notification area.
Added manifest to set execution level for Vista.
Added dialog prompt to check compatibility mode settings.
Installation now automatically sets XPSP2 compatibility mode for Vista.
Removed System Information module for compatibility with 64-Bit Windows.
ProKon compatibility with XP x64 and Vista x64.
Added Polygon Calculation module to Miscellaneous II.
Changed PrintToFile location to user directory.
Corrected rates loading error in Exchange Rates module.

-- version 10.0t --
Added "Date Entry" option to Investment module in calculator.
Added three-monthly and six-monthly compounding periods to Investment module.
Improved date selection feature in Date Finder module.
Increased number of grades allowed in Grade Point module to 200.
Added Solution Preparation module.
Updated latlong.sto for new 2007/2008 daylight time criteria.
Updated Inflation module for 2006 consumer price index.
Added state designations to Australian data in Earth Distance module.
Added two new Australian cities to Earth Distance module.
Corrected error in Cloud Base tab of Meterology module.
Added Magnification module.
corrected error adding to tape when using MR in calculator.
Added several abbreviations to Length module.
Annual calculation in Investment module now using simple interest formula.
Updated Inflation module for 2007 consumer price index.
Corrected error for Oersted unit in Electricity/Magnetism module.


-- version 10.0s --
Corrected bug in Numbers by Name module.
Added Tap Drill Fit sub-module to Twist Drill Size module.
Corrected floating point error in Earth Distance module that affected some locations.
Added Thermal Expansion module.
Added 2005 CPI data to Inflation module in calculator.
Corrected color problem in Inorganic Chemicals module.
Added "Don't Ask Again" feature to query message boxes.
Added Density Comparison to Material Density module.


-- Version 10.0r --
Added units to Area, Capacity, Length, Flow, and Mass modules.
Added Phone Number to Alpha Phrase module.
Added Shoe Size module.
Added Ring Size module.
Added Atmospheric Sound Absorption module.
Added Air Properties module.
Added ability to double-click to copy conversion values to clipboard and calculator.
Modified to double-click to activate application from TaskBar notification area (tray).
Modified to prevent display of item on TaskBar when application is hidden to tray.
Added Animation IV to options for Windows tray icon.
Added Furnace Efficiency module.
Added Map Scale module.
Added Ocean Distance Module.
Added Ventilation Module.
Modified Print to File to show standard file save dialog.
Added ability to save a calculation/conversion to a text file.


-- Version 10.0q --

Added ASCII Converter module.
Added Angle/Pitch of Roof module.
Added Due Date module.
Added wav file save to Morse Code module.
New setup.exe.
Added administrator detection to installation utility.
Corrected problem with slow startup on some computers.
Modified setup to show the Windows taskbar during installation.
Added inflation information for 2004 to Inflation module.


-- Version 10.0p --

Added calculator tape justification information to help.
Added Volatile Organic Compounds module.
Added inverse function for log and natural log functions in pop-up calculator.
Added "Copy" to context menu for System Information Overview screen.
Added ability for setup.exe to find previous installation of ProKon.
Added Road Materials module.
Added Morse Code module.
Added Cloud Base Height page to Meteorology module.
Added Depth of Field module.
Added Blood Sugar module.
Added Grade Point module.
Added Project Cost page to Traffic Marking module.
Updated installation utility and added desktop icon option.


-- version 10.0m --

Added ability to right or left justify data on calculator tape.
Corrected error when performing log or natural log of 0 in calculator.
Added units to Time module.
Added units to Acceleration module.
Added units to Angle module.
Added units to Area module.
Added units to Energy module.
Added units to Force module.
Added units to Length module.
Added units to Pressure module.
Added units to Viscosity module.
Corrected error in Mixed Density module causing failure to calculate for some percentages.
Added glass bead calculations to Traffic Marking module.
Added units to Electricity/Magnetism module.
Corrected incomplete help text for Area module in calculator.
Complete upgrade to System Information module.
Added inflation information for 2003 to Inflation module.
Added several units to Electricity/Magnetism module.
Corrected tabbing problem with triangle module in calculator.
Added ProKon to Add/Remove applet in Windows Control Panel.
Corrected errors in Force module.


-- version 10.0k --

Removed reference to replacement of Euro from the Exchange Rate module.
Improved function of daylight savings time calculation in World Time module.


-- version 10.0j --

Corrected error in Find function.
Corrected GMT bias for World Time for Egyptian cities.


-- version 10.0i --

Created self-extracting installation.
Corrected bug in Calculator key entry.
Corrected centering and maximizing of Constant and Geometry modules.
Removed latitude constant from Constants/Miscellaneous.
Corrected rounding errors in Length module.
Added popup exit menus to Constant and Geometry modules.
Added Preferences menu item - Minimize to Tray on Start.
Corrected Length, Area, Capacity International/Statute relationship.


-- version 10.0h --

Corrected error in World Time module for some southern hemisphere locations.
Corrected error in GoTo menu causing exception when calling Miscellaneous modules.
Corrected error in conversions from decibars in Water Pressure module.


-- version 10.0g --

Added Water Pressure module.


-  version 10.0d --

Added UK gallons to Traffic Marking paint module.
Added UK gallons to Paint module.
Corrected Underweight/Overweight error in Body Mass Index module.
Corrected cubic meter clearing error in Lumber module.


-- version 10.0c --

Added Traffic Marking module.


-- version 10.0b --

Added Print Dialog to all modules.
Added Kilometer and Mile calculation to Cost of Ownership module.
Added Body Surface Area module.
Added Lean Body Weight module.
Added Ideal Body Weight module.
Added ability to save equations in Function Parser module.
Corrected bearing error in Earth Distance module when crossing equator.


-- version 10.0a --

Added 30+ units to Force module.
Added Tyler sieve designation to Sieve module.
Added Time Zone tab to System Information module.
Rewrite of System Information module.
Added Body Mass Index module.
Added Cost of Ownership module.


-- Up to Version 10.0 --

Compilation with Delphi Studio v7.
Major interface revision.
Added support for Windows XP Themes.
Added searchable unit lists.
Added "buttoned" tab sheets.
Calculator made unilateral from system tray.
Help file revised for interface changes.
Added ability to create conversion "Tables".
Corrected typo in calculator help file for Inflation module.
Modified System Information to show 'warm boot' times.
Added "Unique Numbers" function to Random Number module.
Added "Sort" function to the Random Number module.
Added ability to print and copy data in single-column format.
Added kilojoule calculation to Weight Maintenance module.


-- Version 9.9w --

Corrected "divide by zero" error in Altitude module.
Corrected "divide by zero" error in Sound module.
Added metric lumber cost calculation to Lumber module.
Added units to Mass per Unit Area module.
Corrected improper deletion with backspace, home, end, and arrow key in Number Base module.
Changed font color and font attribute in calculator Financial and Geometry selection areas.
Minor updates to prefix section of help file.
Minor correction to Angle module.
Added factors to Mass per Unit Length module.
Added dynamic highlighting of module names in main window and Miscellaneous window.
Corrected improper underline of some degree symbols in help file when printing.
Added degree Rankine to Abbreviations/Acronyms module.
Corrected flash of Miscellaneous screen on display of window.
Clarified description of decimal sign selection in help file.
Added numerous index terms to help file to aid index searches.
Added "Hot Button" feature to buttons on main screen and Miscellaneous screen.
Added color selection of "Hot Button" text.
Corrected bug in Sound module that caused clearing of data with tab key.
Added "Manual Entry" for latitude and longitude data in Moon Phase module.
Added Color Schemes to Preferences menu.
Added specific help cursor to calculator hot-button help.
Added Mixed Densities module.
Added Miscellaneous II class.
Added Metal Hardness module.
Corrected bug in Investment module which allowed manual entry in Interest Compounding.
Added Metric Prefix conversion module.
Added Numbers by Name module.
Added factors to Data Rate module.
Added factors to Data Size module.
Modified default "Convert From" and "Convert To" list background colors.
Added factors to Velocity module.
Added M/MR memory to calculator.
Added display of each memory save to calculator tape.
Added display of all memory locations to Clear Memory window in calculator.
Added ability to edit each memory location in calculator.
Updated Calculator help file.
Added Paper Size module.
Split Miscellaneous sub-class window to Miscellaneous I and Miscellaneous II.
Moved Material Density to Miscellaneous II sub-class.
Calculator help button disables when clicking buttons with no help associated.
Corrected bug in calculator Currency module.
Increased accuracy of factors in Exchange Rate module.
Corrected typos in Heat module.
Corrected several typos in help file.
Improved data entry in Currency module of calculator.
Implemented entry of custom currencies in Currency module of calculator.
Corrected error on Restore Size/Position menu item.
Corrected error on Maximize All Windows menu item.
Corrected several typos in Abbreviation module.
Improved download of rates data in Exchange Rate module.
Corrected errors in Fuel Economy module.
Improved daylight savings time tracking in Moon Phase module.
Modified calculation routines in Cricket Chirping module.
Added 500+ locations to Moon Phase and Earth Distance modules.
Corrected calculation in Sound module.
Added World Time module.
Corrected resizing to maximum for Element Form.
Corrected start-up violation in Wire Sheet/Gauge module.
Added Reaumur to Temperature module.
Standardized Copy hot key on numerous modules.
Corrected print problem with Periodic Table data screen.
Corrected "divide by zero" error in Mechanical Advantage module.
Corrected alignment of print output of Sieve module.
Corrected printing and copying alignment of Earth Distance latitude and longitude.
Corrected print error with Material Density module.
Help button function fixed in Constant and Geometry modules.
Copy button deleted from Abbreviations and Acronyms modules.
Added ability to create paths in installation utility.
Added Tire/Gear module.
Added Weight Maintenance module.
Compatibility fixes to run on Windows XP.
Fixed installation utility to run correctly on Window XP.
Added new graphic on main screen.
Moved all writes to INI for window position/size to forms to correct false positives in VirusScan.
Moved all reads from INI for window position/size to forms to correct false positives in VirusScan.
Removed on-the-fly compression for prokon.exe to forms to correct false positives in VirusScan.
Corrected return of Materials Density module to main window with "Home" selection.
Added rate set Save/Load function to Exchange Rates module.
Added ability to graph conversions.
Added printing of graphs.
Added saving of graphs to file.
Improved calculation algorithm in Mixed Densities Module.
Added ability to select screw size in Twist Drill module.
Added "Find Units" feature.
Added "GOTo" feature.
Added Permeability module.
Added context sensitive help to GoTo feature list.
Corrected bug in Graph scientific notation feature.
Added Misc I and Misc II buttons to miscellaneous windows.
Modified all 'degree' symbols to Alt-0176 character.
Added Inflation module to calculator.
Added Hydrometry module.
Updated to new wind chill formula in Meteorology module.


-- Version 9.8 --

Modified downloading of rate data for Exchange Rate Module.
Corrected %-key calculation in calculator.
Modified display and printing of lumber module data.
Added Speed Button item to Preferences menu.
Added full window resizing with size/position memory.
Added maximized window detection with window state memory.
Corrected bug in decimal separator detection.
Modified numerical thousands separator to space to comply with standard.
Added ability to maximize all windows via menu.
Corrected bug in Data Size module.
Improved focusing of active elements in numerous windows.
Corrected bug in Sound module.
Added several items to pop-up menu.
Corrected tabbing and manual entry of periods errors in Investment module.
Corrected incorrectly initializing variables in Concrete module.


-- Version 9.7 --

Adjusted accuracy of several length and area conversions to exact factors.
Added Random Number module.
Added Earth Distance module.
Added Gradation Conversion module.
Added Altitude Calculation module.
Added Cricket Chirp module.
Added Caloric Consumption module.
Added drop-down list of cities to Moon Phase module.
Changed all instances of -etre and -iter to -eter and -iter.
Added macro recording/playback to calculator.
Added Equilateral Triangle module to calculator.
Modified updating of moon/sun rise/set in Moon Phase module.
Modified updating of equinox/solstice data in Moon Phase module.
Added list of exercises to Caloric Consumption module.
Updated calculator help file.
Added exercise type to Caloric Consumption copy/print function.
Added metric energy consumption to Caloric Consumption module.
Added metric energy type and ounce weights to Nutrition module.
Converted Caloric Consumption to calculation type selection.
Added hot keys to calculator.
Improved accuracy of Earth Distance module calculation.
Corrected font print size in Nutrition module.
Corrected "age of moon" display in Moon Phase module.


-- Version 9.6 --

Corrected sine function in equation parser.
Changed all references to '-er' spelling, as in 'meter' to 'metre'.
Corrected ability to add negative time values in Date Finder module.
Added menu item to allow supression of splash screen display.
Modified Investment module to calculate daily interest on 365-day basis.
Corrected Arial font display on some systems.
Added hot key descriptions to calculator help.
Corrected several spelling errors in help file and tool tips.
Corrected problem with several modules in focusing disabled windows.
Revised interest calculations in Investment module.
Revised method of obtaining drive space in System Information module.
Corrected bug in horizontal tank calculation module.
Corrected spelling errors in chemical element database.
Added Gallons(UK) to Irrigation module and increased accuracy of factors.
Added numerous tool tips to calculator.
Added copy of geometry results to calculator tape.
Corrected bug with Solve hot-key in calculator.
Modified 'Solve' hot-key to Alt-V to avoid conflicts.
Added ability to globally toggle hints from calculator.
Corrected help file reference to keyboard switching of tabs.
Changed default values for volumes in Solutions module.
Corrected bug causing clearing of Solutions edit windows when switching applications.
Enabled default 'return to Class' when using Data Rate, Data Size, or Temp. Int. modules.
Numerous additions and corrections to Help file.
Corrected "print to file" and "print to printer" function from main window.
Improved sync between current date/time and sun/moon rise/set display.


-- Version 9.5 --

Added Data Size module.
Added Data Transfer Rate module.
Added Temperature Interval module.
Corrected bug in investment module.
Corrected caliber factor.
Corrected errors in help file.
Added Week Day/Number module.
Updated numerous window sizes to compensate for Windows large fonts
Added Concentration by Parts module.
Added Tank Volume Module.
Corrected decimal separator and thousands separator for European countries.
Added decimal separator support for Exchange Rate module.
Implemented improved icon format.
Added help file Contents link to "Why Metric".
Corrected bug in Date Finder when entering digits directly
Modified exchange rate extraction process for Exchange Rate module.
Corrected bug allowing conversion results to remain in Calculation window when
	returning directly to 'Class' window.
Return from Calculation window resets list item on selecting Cancel.
Added 'Days between dates' to Date Finder.
Added feature to save option when right-click for fast exit from modules.
Eliminated blank lines from Elements data copy and print feature.
Setup closes ProKon Group window at completion of installation.
Added help popup for Calc button in calculator.
Upgraded Solution calculation module to allow metric in addition to Imperial units.
Corrected tooltip references in calculator.


-- Version 9.4 --

Corrected bug in pop-up calculator.
Added metric wind speed to Wind Chill module.


-- Version 9.3 --

Added Exchange Rate module.
Added Architectural Symbol module.
Added Emergent Stem Correction module.
Corrected typographical errors in help file and nutrition module.
Switched to compression of executables.


-- Version 9.2 --

Added Miscellaneous module Conductors.
Added Miscellaneous module Sound Level.
Added Miscellaneous module Mechanical Advantage.
Corrected typo in help file concerning 'mass' and 'speed'.
Corrected typo in Viscosity module for Pascal-second/foot.
	(Abbreviation was incorrect)
Upgraded Lunar Phase module to allow degrees/minutes/NSEW entry.
Upgraded Lunar Phase module to show correct moon/sun rise/set date for locations in other
	time zones.
Upgraded Lunar Phase module to show correct seasons for locations south of the equator.
Corrected error in Date Finder module to initialize time variable correctly.
Added improved color setting for various Miscellaneous modules.
Corrected error in Lunar Phase help section.
Corrected error in Emission Calculations to correct faulty action of WtConcCombo.
Corrected error in setup.exe so that help could be called from group dialog form.
Changed TitleText default color to maroon, color #128.
Corrected numerous typographical errors in help file.
Modified color representations in System Information module.
Upgraded multiple conversion factors to higher precision.


-- Version 9.1 --

Added Miscellaneous module Date Finder.
Added Miscellaneous module Emission Factors.
Added Miscellaneous module System Information.
Added ability to turn time/date on/off on main screen.


-- Version 9.0 --

Added Miscellaneous module Abbreviations.
Added Miscellaneous module Moon Phase.
Added Miscellaneous module Function Parser.
Updated pop-up calculator (ProKalc) to allow editing of tape.
Updated pop-up calculator (ProKalc) to eliminate double-click error. 


-- Version 8.8 --

Updated pop-up calculator from SuperCal to ProKalc.
Added Miscellaneous module Irrigation.
Added Miscellaneous module Fractions.
Added Miscellaneous module Formula Weight.
Added Miscellaneous module Roman Numerals.

************************************************************************************

The author wishes to extend thanks and gratitude to Mr. John Taylor, a valued friend 
from Warragul, Australia for his diligence and expertise in reporting many bugs and inconsistencies
in ProKon.  Without his long-term assistance, ProKon could not be what it is today.

